﻿namespace ProjectWarmlyShip.Entities;

public class EntityWarmlyShip : EntityShip
{
    /// <summary>
    /// Дополнительтный цвет
    /// </summary>
    public Color AdditionalColor { get; private set; }
    /// <summary>
    /// Признак наличия труб
    /// </summary>
    public bool ShipPipes { get; private set; }
    /// <summary>
    /// Признак наличия топливного бака
    /// </summary>
    public bool FuelTank { get; private set; }
    /// <summary>
    /// Инициализация полей класса EntityWarmlyShip
    /// </summary>
    /// <param name="additionalcolor"></param>
    /// <param name="shpipipes"></param>
    /// <param name="fueltank"></param>
    public EntityWarmlyShip(int speed, double weight, Color bodycolor, Color additionalcolor, bool shpipipes, bool fueltank) : base(speed, weight, bodycolor)
    {
        AdditionalColor = additionalcolor;
        ShipPipes = shpipipes;
        FuelTank = fueltank;
    }
}
